﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace BaseApplicationProject
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.maskedInput.Loaded += maskedInput_Loaded;
        }

        void maskedInput_Loaded(object sender, RoutedEventArgs e)
        {
            TextBox tBox = (sender as RadMaskedInputBase).ChildrenOfType<TextBox>().FirstOrDefault();
            if (tBox != null)
            {
                tBox.CommandBindings.Clear();
            }            
        }
    }
}
